=== debian/control ===
Source: ros-indigo-rail-ceiling
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, pkg-config, ros-indigo-ar-track-alvar-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-tf
Homepage: http://ros.org/wiki/rail_ceiling
Standards-Version: 3.9.2

Package: ros-indigo-rail-ceiling
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-indigo-ar-track-alvar, ros-indigo-ar-track-alvar-msgs, ros-indigo-geometry-msgs, ros-indigo-image-view, ros-indigo-robot-state-publisher, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-tf, ros-indigo-usb-cam, ros-indigo-xacro
Description: Overhead Camera System for Tracking AR Tags
